#ifndef __VERIFIER_H__
#define __VERIFIER_H__

#include <chunk.h>

#include "abac.h"

#include "uthash.h"

void abac_verifier_init(void);
void abac_verifier_deinit(void);

int abac_verifier_load_id_file(char *filename);
int abac_verifier_load_id_chunk(chunk_t chunk);
abac_credential_t *abac_verifier_load_attribute_cert_file(char *filename);
abac_credential_t *abac_verifier_load_attribute_cert_chunk(chunk_t chunk);

#endif /* __VERIFIER_H__ */
